<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BIOSErrorModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/de6/class_b_i_o_s_error_module.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">BIOSErrorModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BIOSErrorModule:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/de6/class_b_i_o_s_error_module.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:add9aa975dd43b8e5f0a7215ad0e7be4c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de6/class_b_i_o_s_error_module.html#add9aa975dd43b8e5f0a7215ad0e7be4c">BIOSErrorModule</a> ()</td></tr>
<tr class="separator:add9aa975dd43b8e5f0a7215ad0e7be4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5cec0082d450a678780e05755d46166"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de6/class_b_i_o_s_error_module.html#af5cec0082d450a678780e05755d46166">InitOptionalVariables</a> ()</td></tr>
<tr class="separator:af5cec0082d450a678780e05755d46166"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4345c7d9f7d5b58ddf8060b400d62e57"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de6/class_b_i_o_s_error_module.html#a4345c7d9f7d5b58ddf8060b400d62e57">FillErrorDataMap</a> ()</td></tr>
<tr class="separator:a4345c7d9f7d5b58ddf8060b400d62e57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2872c877f7781257899eb88e3d5efebb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de6/class_b_i_o_s_error_module.html#a2872c877f7781257899eb88e3d5efebb">InsertBIOSError</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> code, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> message)</td></tr>
<tr class="separator:a2872c877f7781257899eb88e3d5efebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00062">62</a> of file <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="add9aa975dd43b8e5f0a7215ad0e7be4c" name="add9aa975dd43b8e5f0a7215ad0e7be4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9aa975dd43b8e5f0a7215ad0e7be4c">&#9670;&#160;</a></span>BIOSErrorModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BIOSErrorModule::BIOSErrorModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00064">64</a> of file <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4345c7d9f7d5b58ddf8060b400d62e57" name="a4345c7d9f7d5b58ddf8060b400d62e57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4345c7d9f7d5b58ddf8060b400d62e57">&#9670;&#160;</a></span>FillErrorDataMap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BIOSErrorModule::FillErrorDataMap </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00076">76</a> of file <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a>.</p>

</div>
</div>
<a id="af5cec0082d450a678780e05755d46166" name="af5cec0082d450a678780e05755d46166"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5cec0082d450a678780e05755d46166">&#9670;&#160;</a></span>InitOptionalVariables()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void BIOSErrorModule::InitOptionalVariables </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00069">69</a> of file <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a>.</p>

</div>
</div>
<a id="a2872c877f7781257899eb88e3d5efebb" name="a2872c877f7781257899eb88e3d5efebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2872c877f7781257899eb88e3d5efebb">&#9670;&#160;</a></span>InsertBIOSError()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BIOSErrorModule::InsertBIOSError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html#l00110">110</a> of file <a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Global/ErrorModuleHandler/<a class="el" href="../../d6/da5/_b_i_o_s_error_module_8c_source.html">BIOSErrorModule.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/de6/class_b_i_o_s_error_module.html">BIOSErrorModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
